# pent

## Name

pent — A single pentachoron in a 4-dimensional triangulation

## Synopsis

Content Model

    pent ::= (#PCDATA)

Attributes
Name | Type
`desc` | CDATA

## Description

A `pent` element stores a single pentachoron in a 4-dimensional triangulation, along with its associated facet gluings.

The character data of this XML element should be a whitespace-separated list of five integer pairs, representing the gluings of facets 0, 1, 2, 3 and 4 of this pentachoron. Note that facet `i` is always opposite vertex `i` in a pentachoron.

For each pair, the first integer represents the pentachoron to which the facet is glued (note that pentachora in a triangulation are numbered 0, 1, 2, etc.). The second integer represents the permutation of vertices from this pentachoron to the other pentachoron describing precisely how this gluing takes place. This permutation will take the current facet number of this pentachoron to the corresponding facet number of the adjacent pentachoron, and the other four vertex numbers of this pentachoron to the corresponding four vertex numbers on the adjacent pentachoron to which they are identified by this gluing.

A permutation is represented as a two-byte integer as follows. If the permutation maps 0, 1, 2, 3 and 4 to `a`, `b`, `c`, `d` and `e` respectively (where `a`, `b`, `c`, `d` and `e` are 0, 1, 2, 3 and 4 in some order), then the corresponding two-byte integer is (`a` + 8`b` + 64`c` + 512`d` + 4096`e`). For example, the identity permutation which maps (0, 1, 2, 3) to (0, 1, 2, 3) is represented by the two-byte integer (0 + 8 + 128 + 1536 + 16384), which is 18056.

If a facet is a boundary facet (i.e., it is not glued to anything), the two corresponding integers stored in the XML character data should be -1 and -1.

### Parents

The following elements contain `pent`: `pentachora`.

### Children

Element `pent` has no children.

## Attributes

`desc`

  A human-readable description of the role that this pentachoron plays in the overall triangulation.

## Example

The following XML snippet represents pentachoron number 0 in a 4-dimensional triangulation. Facet 0 of this pentachoron is glued to facet 4 of pentachoron number 1, with a gluing permutation that maps (0,1,2,3,4) to (4,0,1,2,3). Facet 4 of this pentachoron is glued to facet 0 of pentachoron number 1, with a gluing permutation that maps (0,1,2,3,4) to (1,2,3,4,0). The remaining facets 1,2,3 of this pentachoron are all boundary facets.

    <pent> 1 14038087 -1 -1 -1 -1 -1 -1 -1 -1 -1 -1 -1 -1 1 2054353 </pent>